import java.util.Scanner;
import myutil.Date;

/**
 * ArraysOfObjects - super basic example of arrays of objects.
 *
 * @author David
 * @version 1.00 2012/12/8
 */

public class ArraysOfObjects
{
    public static void main( String[] args)
	{
    	Scanner scan = new Scanner( System.in);

    	System.out.println( "Start of ArraysOfObjects\n");

		// CONSTANTS

		// VARIABLES
		Date[]	holidays;

		// PROGRAM CODE

		// create array
		holidays = new Date[3];

		// print it - note default values
		//   (it doesn't have any objects in it yet!)
		for ( Date d : holidays)
			System.out.println( d);
		System.out.println();

		// put some values in it...
		holidays[0] = new Date( 1, 1, 2012);
		holidays[1] = new Date( 23, 4, 2012);
		holidays[2] = new Date( 29, 10, 2012);

		// can't put anything other than Dates in it!
		// holidays[2] = new String( "OOPs!");

		// and print it again
		for ( Date d : holidays)
			System.out.println( d);
		System.out.println();


		System.out.println( "\nEnd of ArraysOfObjects\n" );
	}

} // end of class ArraysOfObjects
