import java.util.Scanner;

/**
 * MultiDArrays - very basic demo of multi-dimensional arrays!
 *
 * @author David
 * @version 1.00 2012/12/7
 */

public class MultiDimensionalArrays
{
    public static void main( String[] args)
	{
    	Scanner scan = new Scanner( System.in);

    	System.out.println( "Start of MultiDimensionalArrays\n");

		// VARIABLES
		int[][]	x;
		int[][]	y;

		// PROGRAM CODE

		// ***************************************************************
		// create 2D array of int's and print default contents
		x = new int[3][5];

		for ( int i = 0; i < 3; i++)
		{
			for ( int j = 0; j < 5; j++)
			{
				System.out.print( x[i][j] + "\t" );
			}
			System.out.println();
		}
		System.out.println();

		// ***************************************************************
		// clone it, make changes to clone & print it
		y = x.clone();

		y[0][0] = 99;
		y[1][1] = 99;
		y[2][2] = 99;
		y[1][3] = 99;
		y[0][4] = 99;

		for ( int i = 0; i < 3; i++)
		{
			for ( int j = 0; j < 5; j++)
			{
				System.out.print( y[i][j] + "\t" );
			}
			System.out.println();
		}
		System.out.println();

		// ***************************************************************
		System.out.println( "\nEnd of MultiDimensionalArrays\n" );
	}

} // end of class MultiDimensionalArrays
